Package com.pixelmed.display

# Class SafeCursorChanger.SafeCursorGetterThread

java.lang.Object
com.pixelmed.display.SafeCursorChanger.SafeCursorGetterThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  SafeCursorChanger

public class SafeCursorChanger.SafeCursorGetterThread extends Object implements Runnable

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Cursor`
`cursor`

## Constructor Summary

Constructors
Constructor
Description
`SafeCursorGetterThread()`

## Method Summary

Modifier and Type
Method
Description
`Cursor`
`getCursor()`
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cursor

protected Cursor cursor

## Constructor Details

### SafeCursorGetterThread

public SafeCursorGetterThread()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### getCursor

public Cursor getCursor()